<?php

  /*
  * nach einem gesetzten Cookie suchen
  */
  if (!empty($_COOKIE['fontsize'])) {
    $fontsize = $_COOKIE['fontsize'];
  } elseif (!empty($_COOKIE['fontsizeR'])) {
    $fontsize = $_COOKIE['fontsizeR'];
  } else {
    $fontsize = 101;
  }

  /*
  * Schriftgre soll gendert werden
  */
  if (isset($_GET['font'])) {

    if ($_GET['font']=='base') {
      $fontsize = 101;
    } elseif (($_GET['font']=='dec') && ($fontsize>60)) {
      $fontsize -= 10;
    } elseif (($_GET['font']=='inc') && ($fontsize<200)) {
      $fontsize += 10;
    }

    /*
    * Session-Cookie setzen, da die meist akzeptiert werden
    */
    setcookie('fontsize', $fontsize, NULL, '/');
    /*
    * zustzlich versuchen, dauerhaften Cookie zu setzen
    */
    setcookie('fontsizeR', $fontsize, time()+60*60*24*365, '/');

    /*
    * Caching der Seite verhindern
    */
    header('Expires: Mon, 26 Jul 1997 05:00:00 GMT');
    header('Last-Modified: '.gmdate('D, d M Y H:i:s').' GMT');
    header('Cache-Control: no-store');
    header('Pragma: no-cache');

  }

  /*
  * Hilfsfunktion, zum erzeugen der Links
  */
  function get_fontsize_link($action, $name) {
    
    $document_uri = current(preg_split('/[&|\?]{1}font=/', $_SERVER['REQUEST_URI']));

    $document_ref = str_replace('&', '&amp;', $document_uri);

    if (strpos($document_ref, '?') === FALSE) {
      $document_ref .= '?font='.$action;
    } else {
      $document_ref .= '&amp;font='.$action;
    }

    return '<a href="'.$document_ref.'">'.$name.'</a>';
  }
  
?>